<?php

!defined('IN_ONEZ') && exit('Access Denied');

function _apipay_callback($ifok,$order){

  echo'<pre>是否支付成功';

  var_dump($ifok);

  echo"\n订单信息\n";

  var_dump($order);

  echo'</pre>';

}

?>

<style>

pre {

  white-space: pre-wrap;

  word-wrap: break-word;

}

</style>

<div class="container">

  <div class="content">

    <h2>测试支付-无回调-显示支付后的调试订单信息</h2>

    <p><button type="button" class="btn btn-success" onclick="<?=onez('wxpay',-1)->set('price','0.01')->set('subject','测试微信在线支付功能')->click()?>">使用微信测试支付0.01元</button></p>

    <pre>&lt;button type="button" class="btn btn-success" onclick="&lt;?=onez('wxpay',-1)->set('price','0.01')->set('subject','测试微信在线支付功能')->click()?>">

使用微信测试支付0.01元

&lt;/button></pre>



    <h2>测试支付-自定义回调-执行回调函数</h2>

    <p><button type="button" class="btn btn-success" onclick="<?=onez('wxpay',-1)->set('price','0.01')->set('subject','测试微信在线支付功能')->set('callback','_apipay_callback')->click()?>">使用微信测试支付0.01元</button></p>

    <pre>&lt;?

function _apipay_callback($ifok,$order){

  echo'&lt;pre>是否支付成功';

  var_dump($ifok);

  echo"\n订单信息\n";

  var_dump($order);

  echo'&lt;/pre>';

}

?>

&lt;button type="button" class="btn btn-success" onclick="&lt;?=onez('wxpay',-1)->set('price','0.01')->set('subject','测试微信在线支付功能')->set('callback','_apipay_callback')->click()?>">

使用微信测试支付0.01元

&lt;/button></pre>

  </div>

</div>